QwtPlotTextLabel(3)

NAME
QwtPlotTextLabel - A plot item, which displays a text label.

SYNOPSIS

#include <qwt_plot_textlabel.h>

Inherits QwtPlotItem.

  Public Member Functions
QwtPlotTextLabel ()
Constructor.
virtual ~QwtPlotTextLabel ()
Destructor.
virtual int rtti () const override
void setText (const QwtText &)
QwtText text () const
void setMargin (int margin)
int margin () const
virtual QRectF textRect (const QRectF &, const QSizeF &) const
Align the text label.

  Protected Member Functions
virtual void draw (QPainter *, const QwtScaleMap &, const QwtScaleMap &, const QRectF &) const override
void invalidateCache ()
Invalidate all internal cache.

  Additional Inherited Members

Detailed Description

A plot item, which displays a text label. QwtPlotTextLabel displays a text label aligned to the plot canvas.

In opposite to QwtPlotMarker the position of the label is unrelated to plot coordinates.

As drawing a text is an expensive operation the label is cached in a pixmap to speed up replots.

Example
    The following code shows how to add a title.

    QwtText title( "Plot Title" );
    title.setRenderFlags( Qt::AlignHCenter | Qt::AlignTop );
    QFont font;
    font.setBold( true );
    title.setFont( font );
    QwtPlotTextLabel *titleItem = new QwtPlotTextLabel();
    titleItem->setText( title );
    titleItem->attach( plot );

See also
    QwtPlotMarker

Definition at line 47 of file qwt_plot_textlabel.h.

Constructor & Destructor Documentation

  QwtPlotTextLabel::QwtPlotTextLabel ()

Constructor. Initializes an text label with an empty text

Sets the following item attributes:

•   QwtPlotItem::AutoScale: true

•   QwtPlotItem::Legend: false

The z value is initialized by 150

See also
    QwtPlotItem::setItemAttribute(), QwtPlotItem::setZ()

Definition at line 82 of file qwt_plot_textlabel.cpp.

Member Function Documentation

  void QwtPlotTextLabel::draw (QPainter * painter, const QwtScaleMap & xMap, const QwtScaleMap & yMap, const QRectF & canvasRect) const [override], [protected], [virtual]
Draw the text label

Parameters
    painter Painter
    xMap x Scale Map
    yMap y Scale Map
    canvasRect Contents rectangle of the canvas in painter coordinates

See also
    textRect()

Implements QwtPlotItem.

Definition at line 176 of file qwt_plot_textlabel.cpp.

  int QwtPlotTextLabel::margin () const

Returns
    Margin added to the contentsMargins() of the canvas

See also
    setMargin()

Definition at line 160 of file qwt_plot_textlabel.cpp.

  int QwtPlotTextLabel::rtti () const [override], [virtual]

Returns
    QwtPlotItem::Rtti_PlotTextLabel

Reimplemented from QwtPlotItem.

Definition at line 100 of file qwt_plot_textlabel.cpp.

  void QwtPlotTextLabel::setMargin (int margin)
Set the margin

The margin is the distance between the contentsRect() of the plot canvas and the rectangle where the label can be displayed.

Parameters
    margin Margin

See also
    margin(), textRect()

Definition at line 146 of file qwt_plot_textlabel.cpp.

  void QwtPlotTextLabel::setText (const QwtText & text)
Set the text

The label will be aligned to the plot canvas according to the alignment flags of text.

Parameters
    text Text to be displayed

See also
    text(), QwtText::renderFlags()

Definition at line 115 of file qwt_plot_textlabel.cpp.

  QwtText QwtPlotTextLabel::text () const

Returns
    Text to be displayed

See also
    setText()

Definition at line 130 of file qwt_plot_textlabel.cpp.

  QRectF QwtPlotTextLabel::textRect (const QRectF & rect, const QSizeF & textSize) const [virtual]

Align the text label.

Parameters
    rect Canvas rectangle with margins subtracted
    textSize Size required to draw the text

Returns
    A rectangle aligned according the the alignment flags of the text.

See also
    setMargin(), QwtText::renderFlags(), QwtText::textSize()

Definition at line 263 of file qwt_plot_textlabel.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.